#
# spec file for package gyp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nurenberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0+git.20160413

Name:           gyp
Version:        0+git.20160413
Release:        1.2
Summary:        Generate Your Projects
License:        BSD-3-Clause
Group:          Development/Tools/Building
Url:            https://gyp.gsrc.io
Source:         %{name}-%{version}.tar.xz
Patch0:         gyp-rpmoptflags.patch
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools
BuildArch:      noarch

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons and/or make
build files from a platform-independent input format. Its syntax is a universal
cross-platform build representation that still allows sufficient per-platform
flexibility to accommodate irreconcilable differences

%prep
%setup -q
%patch0
for i in $(find pylib -name '*.py'); do
	sed -e '\,#![ \t]*/.*python,{d}' $i > $i.new && touch -r $i $i.new && mv $i.new $i
done
sed -i '/^#!/d' ./pylib/%{name}/*.py
sed -i '/^#!/d' ./pylib/%{name}/generator/*.py

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix=%{_prefix}
%fdupes -s %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*-py%{py_ver}.egg-info

%changelog
* Mon May  9 2016 sreeves@suse.com
- Add to the SDK. Disable _service. Fate#319349
* Fri Apr 15 2016 mpluskal@suse.com
- Update to version 0+git.20160413:
  * ninja: Add target_rpath generator flag
  * Add support for iOS Frameworks with header maps.
  * Detect and warn on missing vcvarsall.bat
  * Support DEVELOPER_DIR in gyp-ninja for mac.
  * [GN] Use hard-link if possible when copying to bundle.
  * Fix mac_tool.py copy-bundle-resource errors.
  * [iOS/OS X] Copy file instead of hard-linking them.
  * gyp-win-tool: Let LinkWrapper only transmogrify / when the host platform is Windows.
  * gyp-win-tool: Fix regression from my last change.
  * gyp-win-tool: Don't use shell=True on non-Windows hosts.
* Sun Mar 20 2016 mpluskal@suse.com
- Update to version 0~git.20160318:
  + Revert "Update Xcode emulation extra plist items."
  + Re-land update Xcode emulation extra plist items for Xcode 7.2
  + Support sdk_version of None.
  + Don't recompute environment for mac bundles unnecessarily.
  + Make login.keychain and 'Provisioning Profiles' symlinks.
  + Fix tests with Xcode 7.
  + Xcode-ninja: Add excluded files to the project sources_for_indexing.xcodeproj
  + ninja/win: Use qualified paths for precompiled headers.
  + Adjust pretty_gyp to align comments with the appropriate braces.
  + ninja: Add target_rpath generator flag
- Small spec file cleanup
* Wed Mar  9 2016 mpluskal@suse.com
- Update to version 0~git.20160304:
  + [Mac/iOS] Add custom fonts, target device and minimum
    ployment target to _CopyXIBFile
  + Update Xcode emulation extra plist items.
  + Revert "Update Xcode emulation extra plist items."
  + Re-land update Xcode emulation extra plist items for Xcode 7.2
  + Support sdk_version of None.
  + Don't recompute environment for mac bundles unnecessarily.
  + Make login.keychain and 'Provisioning Profiles' symlinks.
  + Fix tests with Xcode 7.
  + Xcode-ninja: Add excluded files to the project
    urces_for_indexing.xcodeproj
  + ninja/win: Use qualified paths for precompiled headers.
- Add _service
- Cleanup spec file with spec-cleaner
* Sat Aug  8 2015 p.drouand@gmail.com
- Update to master latest revision
- Add python-setuptools dependency
- Add gyp-rpmoptflags.patch
* Mon Dec  3 2012 p.drouand@gmail.com
- Update to latest svn revision
* Wed Sep  5 2012 p.drouand@gmail.com
- Initial release
